Subject: Ticket Assigned - Landmark Group
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 20 Dec 2020 06:00:02 +0000

Hi Rehan Khan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group Dear Sir,

There is limitations of patience, 
Several time I contacted with centrepoint customer care representative and never received satisfactory answer from them. My simple questions is as per your company policy time is already over and still I am waiting for your delivery person to come and collect. 

As told by your representative. Yesterday i was sure that they will come and collect it but nothing happened, then I loose my patience it’s more than three weeks enough and enough.

I really not understand that big brand have not proper procedures if delivery company is not responding properly then what will be the next steps, definitely you have but as a customer I have only one access to talk with customer care representative or write an email.

From 25 Nov-20 keep calling and writing nothing happen.

I think I should forget and leave it. That was my mistake to choose Centrepoint online portal.

Thanks,
Hasib
Order No. 9616976728 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1882831